Es wird kein Update angeboten

  • Joomla Version
    4.4.0
    PHP Version
    PHP 8.2.x
    Hoster
    lokal

    Hallo Forum,

    wollte testen, doch es wird auf "Joomla-Next" nur das Update auf 4.4.0 angeboten. Installiert. Doch dann kommt kein Angebot für 5.0

    Ist das bei eich auch so oder habe ich mal wieder was übersehen?

    Grüße in die Runde

  • aber ist Joomla 5 jetzt noch nicht als Stable raus, oder wie muss man das verstehen?

    Joomla-Next ist bei mir nicht standardmässig eingestellt sondern nur Standard.

    Wenn ich gerade eine Website neu aufsetze... macht es nicht Sinn, direkt auf 5.x aufzusetzen oder doch auf Joomla-Next umzustellen? Habe nur die Befürchtung, dass ich bei Next dann eher ein Test-System mit fehlern kreieren würde und kein Produktiv-System

    Grundsätzliche Frage: werden jetzt zukünftig immer so schnell (also ich fand die Version 4 ist noch nicht sooo lange raus) große Systemupgrade geben, wo man dann hoffen muss, dass die Extension-Anbieter auch mitziehen müssen?

  • Grundsätzliche Frage: werden jetzt zukünftig immer so schnell (also ich fand die Version 4 ist noch nicht sooo lange raus) große Systemupgrade geben, wo man dann hoffen muss, dass die Extension-Anbieter auch mitziehen müssen?

    War es nicht so, dass J5 eigentlich erst Joomla 4.5 heißen sollte und man sich dann umentschieden hat. Egal! Die Unterschiede zw. 4 und 5 sind gar nicht so groß, auch wenn es eine neue Major-Version ist. Ich denke mal, dass an den meisten Drittanbieter-Erweiterungen nicht viel geändert werden muss, sofern sie sauber programmiert worden sind. Das war von J3 zu J4 noch was ganz anderes. Meine Templates laufen schon mal ohne Probleme, und es ist nicht das Cassiopeia.

  • aber ist Joomla 5 jetzt noch nicht als Stable raus, oder wie muss man das verstehen?

    Joomla-Next ist bei mir nicht standardmässig eingestellt sondern nur Standard.

    Wenn ich gerade eine Website neu aufsetze... macht es nicht Sinn, direkt auf 5.x aufzusetzen oder doch auf Joomla-Next umzustellen? Habe nur die Befürchtung, dass ich bei Next dann eher ein Test-System mit fehlern kreieren würde und kein Produktiv-System

    Nö.

    Schau mal hier:

    Joomla 5.0 und Joomla 4.4 sind da!

  • Das NÖ bezieht sich auf was? Dass ich mir dann ein Test-System erstelle und kein Produktiv-System?

    Ich interpretiere da raus, ich sollte auf die 5er Version updaten (nicht migrieren :) )

    Aber warum wird sie dann in den Updates unter Joomla-Next und nicht unter Standard geführt und erst dann benachrichtigt?

    Danke dir für den Link.

  • Nö bezieht sich auf:

    Habe nur die Befürchtung, dass ich bei Next dann eher ein Test-System mit fehlern kreieren würde und kein Produktiv-System

    Es ist, wie bei der Migration von 3 auf 4.

    Bei der Einstellung 'Standard' bekommst du das Update auf 5 nicht angezeigt, sondern nur die Updates der 4er-Reihe.

    Bei 'Next' erhälst du die offizielle Stable 5-Version.

    Dazu solltest du aber das hier dann beachten:

    Joomla 4.4.x to 5.x Planning and Upgrade Step by Step – Joomla! Documentation

  • Hallo,

    nach etwas Zeit jetzt noch einmal zu dem Thema Update auf Joomla 5 - hab gerade etwas Zeit und kann mich damit beschäftigen :)

    Ich habe gerade mal Joomla next in den Konfiguration aktiviert und wollte Updaten auf die Version 5, da sie ja zwischenzeitlich auf joomla.org auch als direkter Download angeboten wird.

    Warum das bei mir immer noch in Next angezeigt wird, weiß ich nicht, aber im Grunde wäre es auch egal, oder?


    In der Vorprüfung wurde mit dann aber angezeit, dass zwei Erweiterungen geprüft werden müssten:

    Phoca Download:

    Phoca Download soll eigentlich wohl J5 Ready sein.

    Zumindest hab ich das hier gelesen: https://www.phoca.cz/news/1286-phoc…leased-joomla-5
    Kann ich hier einfach das Update machen oder sollte ich noch einen Schritt vorher durchführen, damit der Updateprozess nicht zu Problemen führt?

    German Language Pack:

    Hier wüsste ich nicht, was ich machen könnte.

    Gehört das nicht zu Joomla direkt? Daher wundert mich, dass dies hier angemarkert wird

    Zumindest ist es ja auch für J5 verfügbar - https://downloads.joomla.org/de/language-packs

    Auch hier... kann ich die Updates einfach machen oder ist etwas vorher durchzuführen?

    Ich danke euch für Tipps und Antworten.

    Gruß

  • Der Pre-Update-Check gibt Hinweise auf mögliche Probleme, aber wie gesagt nur Hinweise. Die beiden angezeigten könntest Du meiner Meinung nach getrost ignorieren:

    • Jan Pavelka von Phoca gibt an, dass seine gängigen Erweiterungen bereits J5-kompatibel sind.
    • Das deutsche Sprachpaket für J5 wird nach dem Update ohnehin als Update angeboten.

    Die bessere Variante ist jedoch, (mindestens) bei jedem größeren Update -und das ist eine neue Hauptversion- zunächst auf einer Testseite (auf einer Subdomain oder lokal mit XAMPP & Kollegen) einen Updatetest zu machen. Wenn es dann kracht, ist Deine Live-Website nicht betroffen, sondern Du kannst Dich in aller Ruhe auf die Fehlersuche machen.

  • und jetzt wäre natürlich nur die Definition von gängig interessant :)

    Ich hätte gedacht, Downloads wäre gängig, aber das kann natürlich eine sehr einseitige oder isolierte Meinung von mir sein hmm

    Ich teste es mal auf einer anderen Test-Domain mit J5 und schaue, welche Version von Phoca Downloads ich da installiere bzw. dann installiert habe.

    Kann ich davon ausgehen, dass... wenn es dann dort funktioniert auch der Umstieg auf meiner "richtigen" (nicht-Test)-Domain auch funktioniert?

    Danke euch...

    Gruß

  • Ich habe gerade mal Joomla next in den Konfiguration aktiviert und wollte Updaten auf die Version 5, da sie ja zwischenzeitlich auf joomla.org auch als direkter Download angeboten wird.

    Warum das bei mir immer noch in Next angezeigt wird, weiß ich nicht, aber im Grunde wäre es auch egal, oder?

    In der Einstellung "Standard" wird das letzte veröffentlichte Update deiner genutzen Hauptversion (Major-Version) angezeigt.

    In der Einstellung "Joomla! next" wird das letzte Update der nächsten erhältlichen Hauptversion angezeigt, was man dann auch als Migration bezeichnet.

    Es kommt also immer darauf an, welche Hauptversion du gerade nutzt.

  • Mister.X :

    Bitte kapere nicht, sondern öffne einen eigenen Thread.

    Ich hätte ansonsten auch noch eine Antwort bzw. Info geschrieben...

    So halt nur:

    Zitat

    Neue Fragen, vor allem, wenn diese nicht vom Threadersteller kommen, nicht in schon bestehende Threads posten (Kapern eines Threads), sondern einen neuen eigenen Thread eröffnen.

    aus:

    Forenregeln

  • Hallo, was die Phoca-Erweiterungen betrifft, so sind die meisten von ihnen bereits grundsätzlich stabil für Joomla 5, sie sind nur noch als Beta gekennzeichnet und befinden sich nicht auf den Update-Servern.

    Bei Phoca Download zum Beispiel gibt es seit einiger Zeit keine wesentlichen Änderungen mehr und die Komponente kann von der Download-Seite heruntergeladen und installiert werden.

    Was sich derzeit ändert, sind z.B. kleine Änderungen im CSS, damit die Komponente z.B. im dunklen Modus in der Administration korrekt dargestellt wird. Es handelt sich also bereits um Änderungen, die die Kernfunktionalität nicht beeinträchtigen.